package tech.nevets.modbot.api;

import net.dv8tion.jda.api.JDA;
import tech.nevets.modbot.api.commands.CommandRegistry;

public interface IBotModule {

    String moduleName = "";

    default void setModuleName(String moduleName) {
        this.moduleName = moduleName;
    }

    default void onPreEnable() {}

    CommandRegistry loadCommandRegistry();

    void onEnable(JDA jda);

    void onDisable();
}
