package tech.nevets.modbot.api;

import net.dv8tion.jda.api.JDA;
import tech.nevets.modbot.api.commands.CommandRegistry;

abstract class BotModule {
    private String moduleName;

    public BotModule(String moduleName) {
        this.moduleName = moduleName;
    }

    public String getModuleName() {
        return moduleName;
    }

    void onPreEnable() {}

    abstract CommandRegistry loadCommandRegistry();

    abstract void onEnable(JDA jda);

    abstract void onDisable();
}
